Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List memory profile

GET/workspaces/{organizationId}/memory/profile
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
entityTypestringrequired
min length 1
entityIdstringrequired
min length 1
limitstring
Responses
200

Entity memory profile — static vs dynamic facts

entityTypestringrequired
entityIdstringrequired
staticFactsobject[]required
Show properties
Array of object
idstringrequired
entityTypestringrequired
entityIdstringrequired
kindstringrequired
factstringrequired
sourceSessionIdstring | nullrequired
sourceAgentSlugstring | nullrequired
validUntilstring | nullrequired
createdAtstringrequired
dynamicFactsobject[]required
Show properties
Array of object
idstringrequired
entityTypestringrequired
entityIdstringrequired
kindstringrequired
factstringrequired
sourceSessionIdstring | nullrequired
sourceAgentSlugstring | nullrequired
validUntilstring | nullrequired
createdAtstringrequired
byKindobjectrequired
summarystringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/memory/profile?entityType=string&entityId=string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "entityType": "string",
  "entityId": "string",
  "staticFacts": [
    {
      "id": "string",
      "entityType": "string",
      "entityId": "string",
      "kind": "string",
      "fact": "string",
      "sourceSessionId": "string",
      "sourceAgentSlug": "string",
      "validUntil": "string",
      "createdAt": "string"
    }
  ],
  "dynamicFacts": [
    {
      "id": "string",
      "entityType": "string",
      "entityId": "string",
      "kind": "string",
      "fact": "string",
      "sourceSessionId": "string",
      "sourceAgentSlug": "string",
      "validUntil": "string",
      "createdAt": "string"
    }
  ],
  "byKind": {
    "property1": [
      {
        "id": "string",
        "entityType": "string",
        "entityId": "string",
        "kind": "string",
        "fact": "string",
        "sourceSessionId": "string",
        "sourceAgentSlug": "string",
        "validUntil": "string",
        "createdAt": "string"
      }
    ],
    "property2": [
      {
        "id": "string",
        "entityType": "string",
        "entityId": "string",
        "kind": "string",
        "fact": "string",
        "sourceSessionId": "string",
        "sourceAgentSlug": "string",
        "validUntil": "string",
        "createdAt": "string"
      }
    ]
  },
  "summary": "string"
}

Was this page helpful?